package com.bonus.core.pay.channel.cmb.dto;

public class QrCodeApplyDTO {
   private Long orderId;
   private Integer amount;
   private String abcDeviceKey;

   public QrCodeApplyDTO(Long orderId, Integer amount, String abcDeviceKey) {
      this.orderId = orderId;
      this.amount = amount;
      this.abcDeviceKey = abcDeviceKey;
   }

   public QrCodeApplyDTO(Long orderId, Integer amount) {
      this.orderId = orderId;
      this.amount = amount;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public String getAbcDeviceKey() {
      return this.abcDeviceKey;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setAbcDeviceKey(final String abcDeviceKey) {
      this.abcDeviceKey = abcDeviceKey;
   }


   public QrCodeApplyDTO() {
   }
}
